### Enumeration

# WebKit PermissionState

#### Declaration

    enum WebKit.PermissionState

#### Description [src]

Enum values representing query permission results.

Available since: | 2.40

#### Members

Name | Description
--- | ---
`WEBKIT_PERMISSION_STATE_GRANTED` | Access to the feature is granted.
`WEBKIT_PERMISSION_STATE_DENIED` | Access to the feature is denied.
`WEBKIT_PERMISSION_STATE_PROMPT` | Access to the feature has to be requested via user prompt.